import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Deise Klasse definiert Poolinchen, den Hauptakteur im Spiel. 
 * 
 * @author (Sarah Lechner) 
 * @version (a version number or a date)
 */


public class Biene  extends mover
{
    /**
     * Dies ist eien Variable welche zhlt wieviele Blumen (Objekte der Klasse
     * Blume) gesammelt wurden .
     */
    private int blumenGesammelt; 
    
    /**
     * legt die Geschwindigkeit in der sich Pollinchen bewegen soll fest .
     */
    private static final double WALKING_SPEED = 3.0;
     
    
    /**
     * Es gibt 2 Bild er
     */
    private GreenfootImage image1;
    private GreenfootImage image2;
    
   /**
    * Variable in welcher unten definiert wird wie die Bilder gewechselt werden.
    */
    
    private int wechselnBild;
    
    
    
   

    public Biene()
    
    {
        
        blumenGesammelt = 0;
        
        
        image1=new GreenfootImage("bee2.png");
        image2=new GreenfootImage("bee3.png");
        setImage(image1);
        
        wechselnBild=0;
    }

    /**
     * Die Biene bewegt sich durch den Garten und fliegt die Blumen an.
     * Hier werden alle Methode gesammelt die eine Biene machen kann. 
     */
    public void act() 
    {
        move();
        checkKeypress();

        lookForBlume();
        
        bewegenBiene();
        
        wechselnBild=wechselnBild+1;
        
        
      
        
    }  
    
    
    public void move()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() + Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.sin(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
     
    
   
     /**
     * Drehungen in einem bestimmten Winkel
     */
    public void turn(int angle)
    {
        setRotation(getRotation() + angle);
    }
    
    
     public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }
    
    public void eat(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }
    
    
    
    /**
     * Hier wird festgelegt dass die Biene, Blumen entfernen kann
     */
    public void entfernen(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }
    
    public void checkKeypress()
    /**
     * berprfe ob die Taste gedrckt ist, wenn ja dann drehe dich in die entsprechende Richtung
     */
    {
        if(Greenfoot.isKeyDown("left"))
        {
            turn(-5);
        }
        if (Greenfoot.isKeyDown("right"))
        {
          turn (5);
        }
    }
    
    /**
     * Wenn die Biene eine Blume berhrt, sammelt sie diese ein.
     *Das Bild der Blume wird entfernt.
     *
     *Die Gesammelten Blumen werden gezhlt. Hat die Biene 10 Blumen gesammelt,
     *startet das nchste Level.
  
    
     */
    public void lookForBlume()
    {
        if ( canSee (Blumen.class)  )
        { entfernen(Blumen.class);
            
            blumenUp ();
            Greenfoot.playSound("slurp.wav");

           
           blumenGesammelt = blumenGesammelt +1;
           
           if (blumenGesammelt == 10)
           {
             
             Garten garten = (Garten) getWorld();
           
             garten.addLevel();

           }
        }
    } 
    
    
    public void blumenUp()
   {
       if(this.getWorld() instanceof Garten)
         {
             ((Garten) this.getWorld()).blumenUp();
             
            
          }
    }
    /**
     * Der Flgelschlag von Pollinchen (wechseln der beiden Bilder)
     *  
     */
    
    public void bewegenBiene()
    {
        if(wechselnBild==4)
        {
        wechselnBild=0;
    
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
        }
    }
}
    
 
    


    
            
        



