import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Dschungel here.
 * 
 * Sarah Lechner 
 * Mrz 2011 (INF 303)
 */
public class Garten  extends World
{
      
     public int level;
     public int blumen;
     
    /**
     * 
     * Der Garten hat eine gre von 560x560 Zellen, wobei jede Zelle nur 1 Pixel gro ist
     */
    public Garten()
    {    
        
        super(500,400, 1); 
        
        addObject (new Anleitung(),255,165);
        addObject (new Start(),246,352);
        
    }
    /**
     * 
     * Die Objekte werden aus der Actor-KLasse verwendet
     * und als Hindergrund wird das Bild Wiese-1 verwendet
     */
    public void levelOne()
    {
        
        level=1;    // Levelanzeige links oben im Eck der Wiese wird auf 1 gesetzt
        
        blumen=0;     // Die Anzeige wieviele Blumen gesammlet wurden wird auf 0 gesetzt.
       
        
        
        
        GreenfootImage image = this.getBackground();
        
        image.drawRect(15, 30, 90, 50); //zeichnet denRahmen des Rechtecks
        image.fillRect(15, 30, 90, 50); //fllt das angegebene Rechneck
        
        image.setColor(Color.WHITE); //Farbe zum Schrieben
        image.drawString("Level:  " + level, 30, 50); //Schriebt die bergebene Zeichenkette 
        image.drawString("Blumen:  " + blumen, 30, 70);
        
        
        
        
        removeObjects(getObjects(Actor.class)); //entfernt das Object aus der WElt
       
        
        /**
         * In jedem Level werden immer 10 Blumen plaziert
         *
         */
        addObject (new Blume1(),200,200);
        addObject (new Blume1(),20,120);
        addObject (new Blume1(),400,320);
        addObject (new Blume1(),125,90);
        addObject (new Blume1(),36,355);
        addObject (new Blume1(),16,390);
        addObject (new Blume2(),290,210);
        addObject (new Blume2(),310,400);
        addObject (new Blume2(),100,50);
        addObject (new Blume2(),380,25);
        
        
       
        addObject (new Biene(),120,400); 
    }
    
    /** 
     * In Level 2 sind wieder 10 Blumen, Polllinchen und ein Schmetterling plaziert.
     */
    
    public void levelTwo()
    {
       
        
        level=2;      
         blumen=0;
        
        
        setBackground("Wiese-1.jpg");
        GreenfootImage image = this.getBackground();
        
        image.drawRect(15, 30, 90, 50); 
        image.fillRect(15, 30, 90, 50); 
               
        image.setColor(Color.WHITE);
        image.drawString("Level:  " + level, 30, 50);  
        image.drawString("Blumen:  " + blumen, 30, 70);
        
            
        removeObjects(getObjects(Actor.class));
        
        
        addObject (new Blume1(),300,300);
        addObject (new Blume1(),180,400);
        addObject (new Blume1(),350,120);
        addObject (new Blume1(),225,20);
        addObject (new Blume1(),36,55);
        addObject (new Blume1(),160,190);
        addObject (new Blume2(),29,210);
        addObject (new Blume2(),80,300);
        addObject (new Blume2(),180,350);
        addObject (new Blume2(),400,25);
        
        
        addObject (new Biene(),80,350);
        addObject (new Schmetterling(),300,20);
        
        addObject (new Pilz(),388,252);
        addObject (new Pilz(),110,250);
        
        
    }
    
    /**
     * In jedem wieteren Level ist ein Schmetterling mehr auf der Wiese
     * in Level drei sind es zwei Schmetterlinge
     */
    
    
    public void levelThree()
    {
         
        
        level=3;      
        blumen=0;
        
        
        setBackground("Wiese-1.jpg");
        GreenfootImage image = this.getBackground();
        
        image.drawRect(15, 30, 90, 50); 
        image.fillRect(15, 30, 90, 50); 
        
        image.setColor(Color.WHITE); 
        image.drawString("Level:  " + level, 30, 50);  
        image.drawString("Blumen:  " + blumen, 30, 70);
        
            
        removeObjects(getObjects(Actor.class));
        
        addObject (new Blume1(),350,80);
        addObject (new Blume1(),180,160);
        addObject (new Blume1(),250,190);
        addObject (new Blume1(),325,220);
        addObject (new Blume1(),306,355);
        addObject (new Blume1(),111,290);
        addObject (new Blume2(),129,210);
        addObject (new Blume2(),80,30);
        addObject (new Blume2(),180,50);
        addObject (new Blume2(),220,25);
        
        addObject (new Pilz(),211,100); 
        addObject (new Pilz(),150,350);
        
        
        addObject (new Biene(),220,400);
        addObject (new Schmetterling(),10,300);
        addObject (new Schmetterling(),200,2);

    }
    /**
     * In Level vier sind nun 3 Schmetterlinge auf der Wiese,
     * denen Paulinchen nicht in dei Quere kommen sollte.
     */
    
    public void levelFour()
    {
       
        
        level=4;      
         blumen=0;
        
        
        setBackground("Wiese-1.jpg");
        GreenfootImage image = this.getBackground();
        
        image.drawRect(15, 30, 90, 50); 
        image.fillRect(15, 30, 90, 50); 
               
        image.setColor(Color.WHITE); 
        image.drawString("Level:  " + level, 30, 50); 
        image.drawString("Blumen:  " + blumen, 30, 70);
        
            
        removeObjects(getObjects(Actor.class));
        
        
        addObject (new Blume1(),220,300);
        addObject (new Blume1(),180,400);
        addObject (new Blume1(),350,120);
        addObject (new Blume1(),225,20);
        addObject (new Blume1(),36,55);
        addObject (new Blume1(),160,190);
        addObject (new Blume2(),29,210);
        addObject (new Blume2(),80,300);
        addObject (new Blume2(),180,350);
        addObject (new Blume2(),400,25);
        
        addObject (new Pilz(),300,25);
        addObject (new Pilz(),40,255);  
        addObject (new Pilz(),400,355);
        
        
        addObject (new Biene(),120,400);
        addObject (new Schmetterling(),200,200);
        addObject (new Schmetterling(),20,100);
        
    }
    
    
    public void levelFive()
    {
       
        
        level=5;      
         blumen=0;
        
        
        setBackground("Wiese-1.jpg");
        GreenfootImage image = this.getBackground();
        
        image.drawRect(15, 30, 90, 50); 
        image.fillRect(15, 30, 90, 50); 
               
        image.setColor(Color.WHITE); 
        image.drawString("Level:  " + level, 30, 50); 
        image.drawString("Blumen:  " + blumen, 30, 70);
        
            
        removeObjects(getObjects(Actor.class));
        
        
        addObject (new Blume1(),220,30);
        addObject (new Blume1(),380,400);
        addObject (new Blume1(),260,120);
        addObject (new Blume1(),255,50);
        addObject (new Blume1(),30,55);
        addObject (new Blume1(),200,390);
        addObject (new Blume2(),329,21);
        addObject (new Blume2(),80,150);
        addObject (new Blume2(),180,320);
        addObject (new Blume2(),400,25);
        
       addObject (new Pilz(),350,91);
       addObject (new Pilz(),40,250);  
       addObject (new Pilz(),140,25);
       addObject (new Pilz(),318,276);
       addObject (new Pilz(),460,211);
        
        
       addObject (new Biene(),420,400);
      addObject (new Schmetterling(),200,200);
      addObject (new Schmetterling(),20,100);
    
      
    }
    
  
   
     /**
       *  Die Methode addLevel fgt nach Vollendung eines Levels das Nchste hinzu.
       *  In Anlehnung an das Spiel Sigi01
       */
     public void addLevel()
    {
        level++;
       
        if(level == 1) levelOne();
        if(level == 2) levelTwo();
        if(level == 3) levelThree();
        if(level == 4) levelFour();
        if (level ==5) levelFive();
        if (level ==6) Gewonnen();
        
        
        
        
    }
    
     /**
       *  Variable mit Parametertyp int gibt zurck in welchem Level sich man gerade befindet 
       */
    public int getLevel()
    {
        return level;
    }
    
   /**
       *  Diese Variable beinhaltet Informationen mit dem Parametertyp int, setzt das Level um 1 nach oben 
       */
    /** public void levelUp()
    {
        level=level + 1;
        
        GreenfootImage image = this.getBackground();
       image.setColor(Color.BLACK);
       image.fillRect(15, 15, 90, 20);
       image.setColor(Color.WHITE);
       image.drawString("Level " + level, 30, 30);
    }
    
    /**
    *  Kommt Pollinchen in das nchste Level werden die Punkte auf Null gesetzt.
    */
    public void blumen0()
    {
        blumen=0;
    }
    
    /**
     * Die Bluemen, die Poolinchen gesammlet hat werden gezhlt, 
     * Wenn 10 Blumen gesmmalte sind beginnt das nchste Level und der Bluemenzhler wird
     * auf null gesetz
     */
   
    public void blumenUp()
   {
       blumen=blumen +1;
       GreenfootImage image = this.getBackground();
       image.setColor(Color.BLACK);
       image.fillRect(15, 55, 90, 20);
       image.setColor(Color.WHITE);
       image.drawString("Blumen " + blumen, 30, 70);
   
    }
    
    
    public void Gewonnen()
    {
        level = 5;
        removeObjects(getObjects(Actor.class));
            addObject (new Gewonnen(), 250, 222);
            Greenfoot.stop();
         
    }
}


